## org.jfree.chart.title
Class TextTitle

    java.lang.Object
      org.jfree.chart.title.Title
          org.jfree.chart.title.TextTitle

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  DateTitle

public class TextTitle
extends Title
implements java.io.Serializable, java.lang.Cloneable

A chart title that displays a text string.

Author:
  David Berry
See Also:
  Serialized Form

Field Summary
`static java.awt.Font` `DEFAULT_FONT` The default font.
`static java.awt.Paint` `DEFAULT_TEXT_PAINT` The default text color.
`protected static org.jfree.util.LogContext` `logger` Access to logging facilities.

Fields inherited from class org.jfree.chart.title.Title
`BOTTOM, CENTER, DEFAULT_HORIZONTAL_ALIGNMENT, DEFAULT_POSITION, DEFAULT_SPACER, DEFAULT_VERTICAL_ALIGNMENT, EAST, LEFT, MIDDLE, NORTH, RIGHT, SOUTH, TOP, WEST`

Constructor Summary
`TextTitle()` Creates a new title, using default attributes where necessary.
`TextTitle(java.lang.String text)` Creates a new title, using default attributes where necessary.
`TextTitle(java.lang.String text, java.awt.Font font)` Creates a new title, using default attributes where necessary.
`TextTitle(java.lang.String text, java.awt.Font font, org.jfree.ui.HorizontalAlignment horizontalAlignment)` Creates a new title, using default attributes where necessary.
`TextTitle(java.lang.String text, java.awt.Font font, java.awt.Paint paint)` Creates a new title, using default attributes where necessary.
`TextTitle(java.lang.String text, java.awt.Font font, java.awt.Paint paint, org.jfree.ui.RectangleEdge position, org.jfree.ui.HorizontalAlignment horizontalAlignment, org.jfree.ui.VerticalAlignment verticalAlignment, org.jfree.ui.Spacer spacer)` Creates a new title.

Method Summary
`java.lang.Object` `clone()` Returns a clone of this object.
`void` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` Draws the title on a Java 2D graphics device (such as the screen or a printer).
`protected void` `drawHorizontal(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` Draws a the title horizontally within the specified area.
`protected void` `drawVertical(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` Draws a the title vertically within the specified area.
`boolean` `equals(java.lang.Object obj)` Tests this title for equality with another object.
`java.awt.Paint` `getBackgroundPaint()` Returns the background paint.
`java.awt.Font` `getFont()` Returns the font used to display the title string.
`java.awt.Paint` `getPaint()` Returns the paint used to display the title string.
`float` `getPreferredHeight(java.awt.Graphics2D g2, float width)` Returns the preferred height of the title.
`float` `getPreferredWidth(java.awt.Graphics2D g2, float height)` Returns the preferred width of the title.
`java.lang.String` `getText()` Returns the title text.
`int` `hashCode()` Returns a hash code.
`void` `setBackgroundPaint(java.awt.Paint paint)` Sets the background paint and sends a `TitleChangeEvent` to all registered listeners.
`void` `setFont(java.awt.Font font)` Sets the font used to display the title string.
`void` `setPaint(java.awt.Paint paint)` Sets the paint used to display the title string.
`void` `setText(java.lang.String text)` Sets the title to the specified text and sends a `TitleChangeEvent` to all registered listeners.

Methods inherited from class org.jfree.chart.title.Title
`addChangeListener, getHorizontalAlignment, getNotify, getPosition, getSpacer, getVerticalAlignment, notifyListeners, removeChangeListener, setHorizontalAlignment, setNotify, setPosition, setSpacer, setVerticalAlignment`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_FONT

    public static final java.awt.Font DEFAULT_FONT

  The default font.

### DEFAULT_TEXT_PAINT

    public static final java.awt.Paint DEFAULT_TEXT_PAINT

  The default text color.

### logger

    protected static final org.jfree.util.LogContext logger

  Access to logging facilities.

Constructor Detail

### TextTitle

    public TextTitle()

  Creates a new title, using default attributes where necessary.

### TextTitle

    public TextTitle(java.lang.String text)

  Creates a new title, using default attributes where necessary.

Parameters:
  `text` - the title text.

### TextTitle

    public TextTitle(java.lang.String text,
                     java.awt.Font font)

  Creates a new title, using default attributes where necessary.

Parameters:
  `text` - the title text.
  `font` - the title font.

### TextTitle

    public TextTitle(java.lang.String text,
                     java.awt.Font font,
                     java.awt.Paint paint)

  Creates a new title, using default attributes where necessary.

Parameters:
  `text` - the title text.
  `font` - the title font.
  `paint` - the title color.

### TextTitle

    public TextTitle(java.lang.String text,
                     java.awt.Font font,
                     org.jfree.ui.HorizontalAlignment horizontalAlignment)

  Creates a new title, using default attributes where necessary.

  For the horizontal alignment, use the constants (LEFT, RIGHT and CENTER) defined in the Title class.

Parameters:
  `text` - the title text.
  `font` - the title font.
  `horizontalAlignment` - the horizontal alignment.

### TextTitle

    public TextTitle(java.lang.String text,
                     java.awt.Font font,
                     java.awt.Paint paint,
                     org.jfree.ui.RectangleEdge position,
                     org.jfree.ui.HorizontalAlignment horizontalAlignment,
                     org.jfree.ui.VerticalAlignment verticalAlignment,
                     org.jfree.ui.Spacer spacer)

  Creates a new title.

  For the titlePosition, horizontalAlignment and verticalAlignment, use the constants defined in the Title class.

Parameters:
  `text` - the text for the title (`null` not permitted).
  `font` - the font (`null` not permitted).
  `paint` - the color (`null` not permitted).
  `position` - the title position (`null` not permitted).
  `horizontalAlignment` - the horizontal alignment (`null` not permitted).
  `verticalAlignment` - the vertical alignment (`null` not permitted).
  `spacer` - the space to leave around the outside of the title.

Method Detail

### getText

    public java.lang.String getText()

  Returns the title text.

  Returns:
    the text (never `null`).

### setText

    public void setText(java.lang.String text)

  Sets the title to the specified text and sends a `TitleChangeEvent` to all registered listeners.

  Parameters:
    `text` - the text (`null` not permitted).

### getFont

    public java.awt.Font getFont()

  Returns the font used to display the title string.

  Returns:
    the font (never `null`).

### setFont

    public void setFont(java.awt.Font font)

  Sets the font used to display the title string. Registered listeners are notified that the title has been modified.

  Parameters:
    `font` - the new font (`null` not permitted).

### getPaint

    public java.awt.Paint getPaint()

  Returns the paint used to display the title string.

  Returns:
    the paint (never `null`).

### setPaint

    public void setPaint(java.awt.Paint paint)

  Sets the paint used to display the title string. Registered listeners are notified that the title has been modified.

  Parameters:
    `paint` - the new paint (`null` not permitted).

### getBackgroundPaint

    public java.awt.Paint getBackgroundPaint()

  Returns the background paint.

  Returns:
    the paint (possibly `null`).

### setBackgroundPaint

    public void setBackgroundPaint(java.awt.Paint paint)

  Sets the background paint and sends a `TitleChangeEvent` to all registered listeners. If you set this attribute to `null`, no background is painted (which makes the title background transparent).

  Parameters:
    `paint` - the background paint (`null` permitted).

### getPreferredWidth

    public float getPreferredWidth(java.awt.Graphics2D g2,
                                   float height)

  Returns the preferred width of the title. This will only be called when the title is being drawn at the left or right of a chart.

  Specified by:
    `getPreferredWidth` in class `Title`
  Parameters:
    `g2` - the graphics device.
    `height` - the height.
  Returns:
    the preferred width of the title.

### getPreferredHeight

    public float getPreferredHeight(java.awt.Graphics2D g2,
                                    float width)

  Returns the preferred height of the title.

  Specified by:
    `getPreferredHeight` in class `Title`
  Parameters:
    `g2` - the graphics device.
    `width` - the width.
  Returns:
    the preferred height of the title.

### draw

    public void draw(java.awt.Graphics2D g2,
                     java.awt.geom.Rectangle2D area)

  Draws the title on a Java 2D graphics device (such as the screen or a printer).

  Specified by:
    `draw` in class `Title`
  Parameters:
    `g2` - the graphics device.
    `area` - the area allocated for the title.

### drawHorizontal

    protected void drawHorizontal(java.awt.Graphics2D g2,
                                  java.awt.geom.Rectangle2D area)

  Draws a the title horizontally within the specified area. This method will be called from the `draw` method.

  Parameters:
    `g2` - the graphics device.
    `area` - the area for the title.

### drawVertical

    protected void drawVertical(java.awt.Graphics2D g2,
                                java.awt.geom.Rectangle2D area)

  Draws a the title vertically within the specified area. This method will be called from the `draw` method.

  Parameters:
    `g2` - the graphics device.
    `area` - the area for the title.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this title for equality with another object.

  Overrides:
    `equals` in class `Title`
  Parameters:
    `obj` - the object.
  Returns:
    `true` or `false`.

### hashCode

    public int hashCode()

  Returns a hash code.

  Overrides:
    `hashCode` in class `Title`
  Returns:
    a hash code.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of this object.

  Overrides:
    `clone` in class `Title`
  Returns:
    a clone of this object.
  Throws:
    `java.lang.CloneNotSupportedException` - never.